Welcome to InspirePilots.com

Join the leading DJI Inspire community for free!

Can't Upgrade Firmware on X5 Camera

Discussion in 'General Discussion' started by Simon Torkington, May 3, 2016.

  1. Simon Torkington

    Joined:
    Mar 4, 2015
    Messages:
    72
    Likes Received:
    21
    Hi,

    I have just updated to FW 1.8. Everything went to plan except the X5. I tried updating the aircraft with the SD card in the X5 but nothing happened. I put the X3 camera on and the update installed as normal and I have the text file to say it worked. I then updated the RC's and the batteries...again all good.

    With the X5 connected the the RC has a message saying the camera needs upgrading but I just can't get it to launch the update. I have tried a couple of different SD cards but there's nothing doing. The camera is recording images to these SD cards so all the connections appear to be ok.

    Any thoughts? I'm kinda baffled by this one.
     
  2. GuyNamedLindsey

    Joined:
    Mar 17, 2016
    Messages:
    93
    Likes Received:
    48
    Location:
    Brooklyn
    That update screwed me up as well with the x5. A little different than your situation though.
     
  3. Mark Townsend

    Joined:
    Nov 4, 2015
    Messages:
    3
    Likes Received:
    0
    I have the same problem.
     
  4. GuyNamedLindsey

    Joined:
    Mar 17, 2016
    Messages:
    93
    Likes Received:
    48
    Location:
    Brooklyn
    This is what happened to me after upgrade. Hope you guys dont have this issue.
    i JUST got back from dropping my whole hardcase to fedex) :(
     
  5. Mark Townsend

    Joined:
    Nov 4, 2015
    Messages:
    3
    Likes Received:
    0
    I just realized something. I was attempting to update from 1.4.0.70 to 1.08.01.40. The update would not begin. I just downloaded 1.8.1.00 and the camera is updating now. It appears as though we have to step it up to 1.8.1.00 first before updating any further.
     
    #5 Mark Townsend, May 3, 2016
    Last edited: May 3, 2016
  6. GuyNamedLindsey

    Joined:
    Mar 17, 2016
    Messages:
    93
    Likes Received:
    48
    Location:
    Brooklyn
    Are
    You on x5 or x5r?
     
  7. Mark Townsend

    Joined:
    Nov 4, 2015
    Messages:
    3
    Likes Received:
    0
    X5. I just realized I can't go any further than 1.8.1.00 with the standard X5. Looks like I'm up to date.
     
    #7 Mark Townsend, May 3, 2016
    Last edited: May 3, 2016
  8. GuyNamedLindsey

    Joined:
    Mar 17, 2016
    Messages:
    93
    Likes Received:
    48
    Location:
    Brooklyn
    make sure you're downloading the right firmware.

    01.08.01.40 is for RAW, you don't want that version. below it says "pro". That's what you want.
     

    Attached Files:

  9. Simon Torkington

    Joined:
    Mar 4, 2015
    Messages:
    72
    Likes Received:
    21
    Thanks for all your replies. All sorted now. I have the original Inspire with the X5 as a later addition. Seems I needed the PRO firmware to update the X5. I had downloaded the Inspire version. A perfect flying day here...cloudless sky, zero wind. I'm off out with the bird.